﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

:root { /*Standard bei heller Einstellung)*/
    --background: #ffffff; /*Hintergrundfarbe allgemein*/
    --ctrl-background: #dddddd; /*Hintergrund von Kontroll-Elementen, wie Tabs oder Buttons*/
    --ctrl-hover-background: #bbbbbb; /*Hintergrund von Kontroll-Elementen, wie Tabs oder Buttons*/
    --ctrl-background-selected-unfocused: #55ccff; /*Hintergrund ausgewählter Elemente, die keinen Fokus haben*/
    --ctrl-background-selected-focused: #007bff; /*Hintergrund ausgewählter Elemente, die den Fokus haben*/
    --ctrl-border-color: rgb(133, 133, 133); /*Randfarbe der Eingabefelder*/
    --background-alternation1: #aaaadd; /*Hintergrund von jedem 2. Element einer Liste*/
    --input-background: #ffffff; /*Hintergrund von Eingabe-Elementen, wie Textbox oder Textblock*/
    --bg-main1: #ccaa22; /*Hintergrundfarbe hellbraun allgemein*/
    --bg-main2: #ffee00; /*Hintergrundfarbe hellgelb allgemein*/
    --bg-main3: #ccff44; /*Hintergrundfarbe hellgrün allgemein*/
    --foreground: #000000; /*Schriftfarbe allgemein*/
    --foreground-disabled: #666666; /*Schriftfarbe allgemein*/
    --error-background: lightyellow; /*Hintergrund Fehlermeldung*/
}

html, body {
	font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
	color: var(--foreground);
	height: 100%;
	width: 100%;
	position: absolute;
	padding: 0;
    font-size: 0.9rem;
}

.bg-light
{
	background-color: var(--ctrl-background-selected-unfocused) !important;
}
.bg-primary {
	background-color: var(--ctrl-background-selected-focused) !important;
}

.blazor-context-menu--default {
	background-color: var(--ctrl-background) !important;
}
input
{
	background: var(--input-background);
	color: var(--foreground);
	min-width: 3rem;
}
textarea {
	background: var(--input-background);
	color: var(--foreground);
}
select {
	background: var(--input-background);
	color: var(--foreground);
}
button {
	background: var(--ctrl-background);
	color: var(--foreground);
}
button:hover:enabled {
	background: var(--ctrl-hover-background);
}
button:focus {
	outline: 1px dotted !important;
}
    button:disabled {
        color: var(--foreground-disabled) !important;
    }

.text-body {
	color: var(--foreground) !important;
}

.tab-primary{
	background: var(--ctrl-background);
	color: var(--foreground);
}
.tab-secondary {
	background: var(--ctrl-hover-background);
	color: var(--foreground);
}

.tabContent {
	border: 0.5px solid black;
	background: var(--ctrl-background);
	/*height: 30px;*/
}

.main {
	height: 100%;
	display: flex;
	flex-direction: column;
	overflow: hidden;
	background: linear-gradient(300deg, var(--bg-main1) 0%, var(--bg-main2) 40%, var(--bg-main3) 100%);
}

.treeViewScroll
{
	background: transparent !important;	/*bis Update Steuerelemente 1.0.2 nötig!!!*/
}

a, .btn-link {
	color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

#app {
	position: relative;
	display: flex;
	height: 100%;
	flex-direction: row;
	color: var(--foreground);
	background: var(--background);
}

.top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
}

.main {
    flex: 1;
}

    .main .top-row {
        background-color: #f7f7f7;
        border-bottom: 1px solid #d6d5d5;
        justify-content: flex-end;
    }

        .main .top-row > a, .main .top-row .btn-link {
            white-space: nowrap;
            margin-left: 1.5rem;
        }
.page {
	display: contents;
}
.main .top-row a:first-child {
    overflow: hidden;
    text-overflow: ellipsis;
}

.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

    .sidebar .top-row {
        background-color: rgba(0,0,0,0.4);
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .nav-item {
        font-size: 0.9rem;
        padding-bottom: 0.5rem;
    }

        .sidebar .nav-item:first-of-type {
            padding-top: 1rem;
        }

        .sidebar .nav-item:last-of-type {
            padding-bottom: 1rem;
        }

        .sidebar .nav-item a {
            color: #d7d7d7;
            border-radius: 4px;
            height: 3rem;
            display: flex;
            align-items: center;
            line-height: 3rem;
        }

            .sidebar .nav-item a.active {
                background-color: rgba(255,255,255,0.25);
                color: white;
            }

            .sidebar .nav-item a:hover {
                background-color: rgba(255,255,255,0.1);
                color: white;
            }

.content {
    padding-top: 1.1rem;
    overflow: hidden;
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: var(--error-background);
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}
.blazored-modal {
	background-color: var(--ctrl-background) !important;
	max-width: 100%;
	max-height: 100%;
    display: grid!important;
    grid-template-rows: auto 1fr;
}

.blazored-modal-content{
    display: contents;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.listviewitem:hover {
    background-color: var(--ctrl-hover-background) !important;
}

.bg-primary:hover {
    background-color: var(--ctrl-background-selected-unfocused) !important;
}

.bg-light:hover {
    background-color: var(--ctrl-background-selected-focused) !important;
}
.settings-dialog {
	width: 1000px;
	max-width: 100%;
	margin: 10px;
	min-height: 800px !important;
	max-height: 100%;
}

@media (max-width: 767.98px) {
    .main .top-row:not(.auth) {
        display: none;
    }

    .main .top-row.auth {
        justify-content: space-between;
    }

    .main .top-row a, .main .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 768px) {
    #app {
        flex-direction: column;
    }

    .sidebar {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-left: 0.5rem !important;
        padding-right: 0.5rem !important;
    }

    .navbar-toggler {
        display: none;
    }

    .sidebar .collapse {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}

@media (prefers-color-scheme: dark)
{
    :root {
        --background: #000000;
        --foreground: #ffffff;
        --error-background: darkgoldenrod;

    }
}
/*Dark-Mode einstellen*/
@media (prefers-color-scheme: dark) {
    :root {
        --background: #000000;
        --foreground: #ffffff;
        --foreground-disabled: #999999; /*Schriftfarbe allgemein*/
        --error-background: darkgoldenrod;
        --ctrl-background: #444444;
        --ctrl-hover-background: #333333;
        --ctrl-border-color: rgb(118, 118, 118);
        --input-background: #222222;
        --ctrl-background-selected-unfocused: #003b6f; /*Hell: #f8f9fa*/
        --background-alternation1: #444444;
        --bg-main1: #773322; /*Hintergrundfarbe hellbraun allgemein*/
        --bg-main2: #554400; /*Hintergrundfarbe hellgelb allgemein*/
        --bg-main3: #667722; /*Hintergrundfarbe hellgrün allgemein*/
    }
    /*Kalendericon bei <inpute/> Type Date in hell anzeigen*/
    ::-webkit-calendar-picker-indicator {
        filter: invert(1) !important;
    }
}

@media print {
	#app > *:not(.blazored-modal-container, .page) {
		display: none !important;
	}

	.blazored-modal-container > *:not(.blazored-modal-resize) {
		display: none;
	}

	.blazored-modal-resize > *:not(.blazored-modal-content) {
		display: none;
	}

	.blazored-modal > *:not(.blazored-modal-content) {
		display: none;
	}

	body {
		display: block !important;
		position: relative !important;
	}

	#app {
		display: block;
	}

	.blazored-modal-container {
		display: block !important;
		position: relative !important;
		height: fit-content !important;
	}

	.blazored-modal {
		height: 100%;
		width: 100%;
		background: white !important;
		color: black !important;
		display: block !important;
		position: relative;
	}
	.blazored-modal-resize {
		resize: none !important;
	}

	.blazored-modal-content > *:not(#printContent) {
		display: none !important;
	}
	/*
	.page {
		display: none !important;
	}*/

	.mainContent {
		display: none !important;
	}
	.main {
		height: auto;
	}

	#printContent {
		display: block !important;
	}
}